Quassel IRC - Bug #1010

DeprecationWarning in manageusers.py script
08/07/2010 03:09 PM - DeepDiver

Status: Resolved Start date: 08/07/2010
Priority: Low Due date:

Assignee: Sputnick % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version: 0.6.2

Version: 0.5.0 0S: Any
Description

Hi,

a Debian user reported an issue:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=590644

This is the warning:
/usr/share/doc/quassel-core/scripts/manageusers.py:11:

DeprecationWarning: the sha module is deprecated; use the hashlib module instead

import sha
Thx,

DeepDiver

History

#1 - 08/07/2010 03:45 PM - seezer
- Category set to General / Unspecified
- Status changed from New to Assigned

- Assignee set to Sputnick

Since version 0.5 core management should be done via commandline.

See http://bugs.quassel-irc.org/projects/quassel-irc/wiki/Manage_core_users for more information.

But thanks for reporting - we should probably remove the script from the repository.

#2 - 08/11/2010 04:44 PM - johu
- Status changed from Assigned to Resolved
- Target version set to 0.6.2

- Version changed from 0.6.2 to 0.5.0

deprecated file deleted, see 828a8a8b
